/*
  ==================================================================================================
  __  __          _____ _   _ 
 |  \/  |   /\   |_   _| \ | |
 | \  / |  /  \    | | |  \| |
 | |\/| | / /\ \   | | | . ` |
 | |  | |/ ____ \ _| |_| |\  |
 |_|  |_/_/    \_\_____|_| \_|
                              

  Initializes all the objects
  ==================================================================================================
*/

(function() {
  'use strict';
  
  var DEBUG_FLAG = false;
  window.printDebug = function(string) {
    if (DEBUG_FLAG) {
      console.log(string);
    }
  };
  var inkPathsHandler = new InkPathsHandler();
  var analytics = new Analytics();
  window.BoardState = false; //BoardState is the model carried over from the sidebar
  var ui = new UI();
  var nbInterface = new NBInterface(inkPathsHandler, ui);
  var kappInterface = new KappInterface();
  // dialogCtrl is where the initialization is handed off and observers are set
  var dialogCtrl = new DialogCtrl(analytics, inkPathsHandler, ui, nbInterface, kappInterface);
})();
