// Handles sending and receiving ajax calls. Connects the kapp web service to SessionHandler

var KappCommunicator = function() {

	var SERVER_URL = "https://ws.kappboard.com";

	function KappCommunicator() {}

	KappCommunicator.prototype.connect = function(sessionid, success, failure) {
		var creds = { "password": "", "userName": ""}; // Credentials set to blank for non-premium
		// Ajax request to connect to session
		$.ajax({
			type: "POST",
			cache: false,
			contentType: "application/json; charset=UTF-8",
			url: SERVER_URL + "/v2/session/" + sessionid + "/users",
			data: JSON.stringify(creds),
			success: function(response) {
				success(response);
			},
			error: function(response) {
				failure(response);
			}
		});
	};

	KappCommunicator.prototype.getMessages = function(sessionid, authToken, seqid, success, failure) {
		var data = { "sequenceId": seqid };
		// Send a request to web service for messages
		$.ajax({
			type: "GET",
			cache: false,
			headers: { 'Authorization': authToken },
			contentType: "application/json; charset=utf-8",
			url: SERVER_URL + "/v2/session/" + sessionid + "/messages",
			data: data,
			success: function(response) {
				success(response);
			},
			error: function(response) {
				failure(response);
			}
  		});
	};

	return KappCommunicator;

}();