//------------------------------------------------------------------------------------
// SMART kapp Add-on for SMART Notebook - Sidebar
//    Enables the user to connect their SMART kapp white board to Notebook
//    in order to playback sessions and capture sessions as Notebook Ink
// Authors: Francis Ge, Kyle Owsen, Robert Wicks, Dorothy Kong, Chris Nakovski
// Special Thanks: Ping, Heath, Milford, LaBine, Deep, Justin, Adam, Gord, and Kenny
//------------------------------------------------------------------------------------

NB.ready(function() {

  var DEBUG_FLAG = false;
  var TRACKING_FLAG = false;

  var analytics = TRACKING_FLAG ? new Analytics() : false;
  var ajax = new KappCommunicator();
  var nbMessenger = new NBMessenger(analytics);
  var sessionHandler = new SessionHandler(ajax, nbMessenger);
  var viewHandler = new ViewHandler(sessionHandler);
  var view = new View(viewHandler);
  view.translate();

  function trackEvent(category, action, label, value) {
    if(analytics) {
      analytics.sendTrackedEvent(category, action, label, value);
    }
  }

  // Debug function to print to console
  function printDebug(string) {
    if (DEBUG_FLAG) {
      console.log(string);
    }
  }

  window.trackEvent = trackEvent;
  window.printDebug = printDebug;

});